[Precise] Compiz crash after running 5 secondes since the upgrade of compiz-plugins-main compiz-plugins-main-default

Reported by Aurélien RIVIERE on 2012-04-12
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Sam Spilsbury
Compiz Extra Plugins
Undecided
Sam Spilsbury
compiz (Ubuntu)
Undecided
Unassigned
compiz-plugins-extra (Ubuntu)
Undecided
Unassigned

Bug Description

gdb compiz
run --replace --display precise:2
Backend : gconf
Integration : true
Profile : Spitfire 95
Adding plugins
Initializing core options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing resize options...done
Initializing move options...done
Initializing grid options...done
Initializing animation options...done
Initializing animationaddon options...done
compiz (livewallpaper) - Warn: Cannot load custom background image:
Initializing livewallpaper options...done
Initializing place options...done
compiz (core) - Error: Plugin 'text' not loaded.

compiz (shift) - Warn: No compatible text plugin loaded
Initializing shift options...done
Initializing galaxy options...done
Initializing wobbly options...done
Initializing cube options...done
Initializing rotate options...done
Setting Update "texture_filter"
Setting Update "sync_to_vblank"
Setting Update "active_shadow_radius"
Setting Update "active_shadow_color"
Setting Update "inactive_shadow_radius"
Setting Update "decoration_match"
Setting Update "opacity"
Setting Update "put_left_key"
Setting Update "put_right_key"
Setting Update "put_maximize_key"
Setting Update "put_restore_key"
Setting Update "top_left_corner_action"
Setting Update "top_right_corner_action"
Setting Update "bottom_left_corner_action"
Setting Update "bottom_edge_action"
Setting Update "bottom_right_corner_action"
Setting Update "left_edge_threshold"
Setting Update "right_edge_threshold"
Setting Update "open_effects"
Setting Update "open_durations"
Setting Update "open_matches"
Setting Update "open_options"
Setting Update "close_effects"
Setting Update "close_durations"
Setting Update "close_matches"
Setting Update "minimize_effects"
Setting Update "minimize_durations"
Setting Update "minimize_matches"
Setting Update "shade_effects"
Setting Update "shade_durations"
Setting Update "shade_matches"
Setting Update "shade_options"
Setting Update "focus_effects"
Setting Update "focus_durations"
Setting Update "focus_matches"
Setting Update "beam_color"
Setting Update "fire_particles"
Setting Update "fire_size"
Setting Update "fire_life"
Setting Update "fire_color"
Setting Update "explode_gridx"
Setting Update "explode_gridy"
Setting Update "explode_spokes"
Setting Update "explode_tiers"
Setting Update "autostart"
Setting Update "vp_movement"
Setting Update "cube_rotation"
Setting Update "cube_advanced"
Setting Update "cube_opacity"
Setting Update "bg_image"
Setting Update "bg_image_pos"
Setting Update "bg_color2"
Setting Update "initiate_key"
Setting Update "prev_key"
Setting Update "next_all_key"
Setting Update "prev_all_key"
Setting Update "window_match"
Setting Update "ground_color1"
Setting Update "ground_color2"
Setting Update "window_title"
Setting Update "stars_count"
Setting Update "stars_size"
Setting Update "draw_streaks"
Setting Update "outer_light_color"
Setting Update "inner_light_color"
Setting Update "zoom"
Setting Update "offset_x"
Setting Update "offset_y"
Setting Update "vp_offset"
Setting Update "bg_coefficient"
Setting Update "snap_key"
Setting Update "spring_k"
Setting Update "grid_resolution"
Setting Update "min_grid_size"
Setting Update "map_window_match"
Setting Update "move_window_match"
Setting Update "mipmap"
Setting Update "top_color"
Setting Update "bottom_color"
Setting Update "skydome"
Setting Update "skydome_image"
Setting Update "edge_flip_dnd"
Setting Update "flip_time"
Setting Update "sensitivity"
=> Compiz crash but no additionnal information are given by GDB. Nothing more in the .xsession-errors

My Compiz Profile is available here : http://ubuntuone.com/1mZKaYwn51H0Wl0FgLWSk1

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: compiz 1:0.9.7.4-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu2
Architecture: i386
CompizPlugins: [core,composite,opengl,decor,resize,regex,move,grid,animation,imgpng,animationaddon,livewallpaper,place,shift,galaxy,wobbly,cube,rotate]
CompositorRunning: None
Date: Thu Apr 12 21:15:24 2012
DistUpgraded: 2012-02-27 07:54:36,007 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: virtualbox, 4.1.12, 3.2.0-23-generic-pae, i686: installed
GraphicsCard:
 NVIDIA Corporation GF104 [GeForce GTX 460] [10de:0e22] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Giga-byte Technology Device [1458:34fc]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
MachineType: System manufacturer System Product Name
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=e8acdc50-97e8-40b9-a5a0-d07d994202e3 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to precise on 2012-02-27 (45 days ago)
dmi.bios.date: 12/24/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0701
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8P67 LE
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0X
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0701:bd12/24/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP8P67LE:rvrRevX.0X:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.4-0ubuntu3
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

visibility: public → private
visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Could you run "dpkg -l | grep unity" and add that to the bug?

Sebastien Bacher (seb128) wrote :

(do you use unity or compiz in a non unity session? does it work in a guest session?)

Download full text (4.5 KiB)

I use Compiz in a Unity 2D session.

ubuntu@precise:~$ dpkg -l | grep -e compiz -e unity
ii compiz 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager
ii compiz-core 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager
ii compiz-dev 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager - development files
ii compiz-gnome 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager - GNOME window decorator
ii compiz-plugins 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager - plugins
ii compiz-plugins-default 1:0.9.7.6-0ubuntu1 OpenGL window and compositing manager - default plugins
ii compiz-plugins-extra 0.9.7.0~bzr9-0ubuntu4 Collection of extra plugins from OpenCompositing for Compiz
ii compiz-plugins-livewallpapers 0.2.0-0~34~precise1 Live Wallpaper like plugin(s) for Compiz.
ii compiz-plugins-main 1:0.9.7.0~bzr19-0ubuntu10 Compiz plugins - main collection
ii compiz-plugins-main-default 1:0.9.7.0~bzr19-0ubuntu10 Compiz plugins - main default collection
ii compizconfig-backend-gconf 0.9.5.92-0ubuntu4 Compiz Fusion configuration system - gconf backend
ii compizconfig-settings-manager 0.9.5.92-0ubuntu3 Compiz configuration settings manager
ii gir1.2-unity-5.0 5.10.0-0ubuntu1 GObject introspection data for the Unity library
ii libcompizconfig0 0.9.7.0~bzr428-0ubuntu6 Settings library for plugins - OpenCompositing Project
ii libmeanwhile1 1.0.2-4ubuntu1 open implementation of the Lotus Sametime Community Client protocol
ii libunity-2d-private0 5.10.0-0ubuntu1 Unity 2D shared library
ii libunity-core-5.0-5 5.10.0-0ubuntu3 Core library for the Unity interface.
ii libunity-misc4 4.0.4-0ubuntu2 Miscellaneous functions for Unity - shared library
ii libunity9 5.10.0-0ubuntu1 binding to get places into the launcher - shared library
ii python-compizconfig 0.9.5.94-0ubuntu4 Compizconfig bindings for python
ii unity 5.10.0-0ubuntu3 Interface designed for efficiency of space and interaction.
ii unity-2d 5.10.0-0ubuntu1 Unity interface for non-accelerated graphics cards
ii unity-2d-common 5.10.0-0ubuntu1 Common files for Unity 2D Shell
ii unity-2d-dbg 5.10.0-0ubuntu1 Debugging symbols for unity-2d
ii ...

Read more...

Compiz and Unity work in a guest session.
But Compiz still crash in my session.
According to what it said by the testers of the french community, Compiz works perfectly for ATI owners.

Changed in compiz-plugins-extra (Ubuntu):
status: New → In Progress
Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Changed in compiz-plugins-extra:
status: New → In Progress
assignee: nobody → Sam Spilsbury (smspillaz)
milestone: none → 0.9.7.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-extra - 0.9.7.0~bzr9-0ubuntu5

---------------
compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu5) precise; urgency=low

  * rebuild for compiz-plugins-main ABI break (LP: #980185)
 -- Didier Roche <email address hidden> Mon, 16 Apr 2012 09:11:08 +0200

Changed in compiz-plugins-extra (Ubuntu):
status: In Progress → Fix Released
Changed in compiz:
assignee: nobody → Sam Spilsbury (smspillaz)
status: New → In Progress
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers